#!/usr/bin/env node
"use strict";

var _lodash = _interopRequireDefault(require("lodash.get"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Makes the script crash on unhandled rejections instead of silently
// ignoring them. In the future, promise rejections that are not handled will
// terminate the Node.js process with a non-zero exit code.
process.on("unhandledRejection", err => {
  throw err;
});

const pkg = require(`${process.cwd()}/package.json`);

const babelCoreBridgeVersion = "^7.0.0-bridge.0";
const babelCoreDevDep = (0, _lodash.default)(pkg, "devDependencies.babel-core");
const babelCoreDep = (0, _lodash.default)(pkg, "dependencies.babel-core");
const babelCoreResolutions = (0, _lodash.default)(pkg, "resolutions.babel-core");

if (!babelCoreDevDep && !babelCoreDep && !babelCoreResolutions || babelCoreDevDep && babelCoreDevDep !== babelCoreBridgeVersion || babelCoreDep && babelCoreDep !== babelCoreBridgeVersion || babelCoreResolutions && babelCoreResolutions !== babelCoreBridgeVersion) {
  (0, _utils.logMessage)("babel-core should be set to bridge mode to avoid errors. To do that run 'npm i -D babel-core@^7.0.0-bridge.0'");
}

require("./run-script");
//# sourceMappingURL=index.js.map